Package wx :: Package lib :: Module eventwatcher :: Class EventChooser

[frames | no frames]

## Type EventChooser

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            EventChooser

Panel with CheckListCtrl for selecting which events will be watched.

Method Summary
| `__init__(self, *args, **kw)`
| `onCheckAll(self, evt)`
| `OnCheckItem(self, index, flag)`
| `onItemActivated(self, evt)`
| `onUncheckAll(self, evt)`
| `setUpdateCallback(self, func)`
| `setWatchList(self, watchList)`
| `sortCompare(self, data1, data2)`

Property Summary

Class Variable Summary
`type` | `EventChooserLC` = `wx.lib.eventwatcher.EventChooserLC`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:48 2009 | http://epydoc.sf.net